org.eclipse.microprofile.fault.tolerance.tck.fallback.exception.hierarchy

## Class FallbackService

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.fallback.exception.hierarchy.FallbackService

    @Dependent
    public class FallbackService
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`FallbackService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFallbackValue()`
`String` `serviceA(Throwable exception)`
`String` `serviceB(Throwable exception)`
`String` `serviceC(Throwable exception)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FallbackService

    public FallbackService()

### Method Detail

#### serviceA

    @Fallback(applyOn={E0.class,E2.class},
              skipOn=E1.class,
              fallbackMethod="myFallback")
    public String serviceA(Throwable exception)
                                                                                                                             throws Throwable

Throws:
  `Throwable`

#### serviceB

    @Fallback(applyOn={java.lang.Exception.class,E1.class},
              skipOn={E0.class,E2.class},
              fallbackMethod="myFallback")
    public String serviceB(Throwable exception)
                                                                                                                                                         throws Throwable

Throws:
  `Throwable`

#### serviceC

    @Fallback(applyOn={E1.class,E2.class},
              skipOn=E0.class,
              fallbackMethod="myFallback")
    public String serviceC(Throwable exception)
                                                                                                                             throws Throwable

Throws:
  `Throwable`

#### getFallbackValue

    public String getFallbackValue()